ProyectoCrm/src/app/Modales/PedidoArticulos/fw-modal-pedido-articulos/fw-modal-pedido-articulos.component.pug
- var ListadoCabecera = ["Talla", "Almacen", "Existencia", "Reservado", "Disponible", "Cantidad"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.row
            div.col-12.col-lg-4
                div.row
                    div.form-group.col-auto
                        img([Gravatar]="tClienteModal.Email",
                            alt="").img-thumbnail.rounded-circle
                    div.form-group.col
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionCliente }}
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionPedido }}
                div.row
                    div.col-12
                         div(*ngFor="let tTipo of tTiposPedido; let jv = index",
                                [ColorFondo]="tTipo.Hexadecimal", 
                                [IgnorarClick]="true",
                                (click)="Seleccionar_Tipo(tTipo)").Contenedor-Tipo.mb-2
                            h6([ColorLetras]="tTipo.Hexadecimal").text-xs.ml-2.mt-2
                                span(*ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo").fas.fa-check.mr-2
                                | {{ tTipo.Codtipo }}
            div.col-12.col-lg-8
                div.form-row
                    div.col-12.col-lg-4
                        img([src]="ObtenerImagenPrincipal()", alt="...").rounded.mx-auto.d-block.ImagenPrincipal
                    div.col-12.col-lg-8
                        div.form-row
                            div.form-group.col-10
                                div.ControlInput
                                    div.ControlInput--ContenedorIcono
                                        span.ControlInput--ContenedorIcono-Icono
                                            i.fas.fa-search
                                    input(#txtBuscar="", 
                                            type="text", 
                                            placeholder="Buscar artículo", 
                                            (keydown.enter)="BuscarArticulo(txtBuscar.value)",
                                            size="sm").ControlInput--Input
                            div.form-group.col-1
                                button(type="submit", (click)="BuscarArticulo(txtBuscar.value)").btn.btn-sm.btn-outline-primary
                                    i.fas.fa-search
                            div.form-group.col-1        
                                button(type="submit", (click)="AbrirModalArticulos()").btn.btn-sm.btn-outline-info
                                        i.fas.fa-list
                        div.form-row
                            div.form-group.col-12  
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''") [ {{ tArticuloActual.Codarticulo }} ] - {{ tArticuloActual.Descripcion }}
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''").text-xs
                                    span.text-secondary.font-weight-bold Color: 
                                    span [ {{ tArticuloActual.Codcolor }} ] - {{ tArticuloActual.Desc_color }}
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''").text-xs
                                    span.text-secondary.font-weight-bold Factor: 
                                    span [ {{ tArticuloActual.Codunidadmedida }} ] - {{ tArticuloActual.Desc_unidad_medida }} | Factor de venta: {{ tArticuloActual.Factor_venta }}
                div.form-row
                    div.form-group.col-12
                        div.table-responsive
                            table.table.table-sm.table-borderless
                                thead
                                    tr
                                        each Cabecera in ListadoCabecera || []
                                            th(scope="col")
                                                h6
                                                    small.text-center.font-weight-bold= Cabecera
                                tbody
                                    tr(*ngFor="let Inventario of tArticuloActual.LInventario")
                                        th(scope="row")
                                            a((click)="SeleccionarTalla(Inventario)", [ngClass]="{'text-secondary' : Inventario.Talla == tArticuloInventarioActual.Talla}").h6
                                                small.font-weight-bold {{ Inventario.Talla | talla }}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Codalmacen }} 
                                        td
                                            h6.text-center
                                                small {{ Inventario.Existencia}}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Reservado}}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Disponible}}
                                        td
                                            input(*ngIf="Inventario.Talla === tArticuloInventarioActual.Talla",
                                                placeholder="Cantidad", 
                                                SoloNumeros="number", 
                                                [(ngModel)]="tPedidoArticuloActual.Cantidad", 
                                                min="0", 
                                                (keydown.enter)="AceptarPedido()").form-control.form-control-sm
        div.row.pt-4
            div.col-12.col-lg-4.offset-lg-4
                div.card.border-left-primary.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.text-xs.font-weight-bold.text-primary.mb-1 Precio
                                div.h5.mb-0.font-weight-bold.text-gray-800 {{ tArticuloActual | precioCliente: tClienteModal | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-shopping-cart.fa-2x.text-gray-300
            div.col-12.col-lg-4
                div.card.border-left-success.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.text-xs.font-weight-bold.text-success.mb-1 Total
                                div.h5.mb-0.font-weight-bold.text-gray-800 {{ tArticuloActual | totalPedido: tClienteModal : tPedidoArticuloActual.Cantidad | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-shopping-cart.fa-2x.text-gray-300
div.modal-footer
    button(type="button",
        (click)="Limpiar()").btn.btn-secondary.btn-icon-split.ml-2
        span.icon.text-white-50
            i.fas.fa-broom
        span.text Limpiar
    button(type="button",
        (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})").btn.btn-secondary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cerrar
    button(type="button",
        (click)="AceptarPedido()").btn.btn-primary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-save
        span.text Guardar

ProyectoCrm/src/app/Modales/PedidoArticulos/fw-modal-pedido-articulos/fw-modal-pedido-articulos.component.html

<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12 col-lg-4">
        <div class="row">
          <div class="form-group col-auto"><img class="img-thumbnail rounded-circle" [Gravatar]="tClienteModal.Email" alt=""/></div>
          <div class="form-group col">
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionCliente }}</h6>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionPedido }}</h6>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="Contenedor-Tipo mb-2" *ngFor="let tTipo of tTiposPedido; let jv = index" [ColorFondo]="tTipo.Hexadecimal" [IgnorarClick]="true" (click)="Seleccionar_Tipo(tTipo)">
              <h6 class="text-xs ml-2 mt-2" [ColorLetras]="tTipo.Hexadecimal"><span class="fas fa-check mr-2" *ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo"></span>{{ tTipo.Codtipo }}</h6>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8">
        <div class="form-row">
          <div class="col-12 col-lg-4"><img class="rounded mx-auto d-block ImagenPrincipal" [src]="ObtenerImagenPrincipal()" alt="..."/></div>
          <div class="col-12 col-lg-8">
            <div class="form-row">
              <div class="form-group col-10">
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-search"></i></span></div>
                  <input class="ControlInput--Input" #txtBuscar="" type="text" placeholder="Buscar artículo" (keydown.enter)="BuscarArticulo(txtBuscar.value)" size="sm"/>
                </div>
              </div>
              <div class="form-group col-1">
                <button class="btn btn-sm btn-outline-primary" type="submit" (click)="BuscarArticulo(txtBuscar.value)"><i class="fas fa-search"></i></button>
              </div>
              <div class="form-group col-1">       
                <button class="btn btn-sm btn-outline-info" type="submit" (click)="AbrirModalArticulos()"><i class="fas fa-list"></i></button>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12"> 
                <h6 *ngIf="tArticuloActual.Codarticulo !== ''">[ {{ tArticuloActual.Codarticulo }} ] - {{ tArticuloActual.Descripcion }}</h6>
                <h6 class="text-xs" *ngIf="tArticuloActual.Codarticulo !== ''"><span class="text-secondary font-weight-bold">Color: </span><span>[ {{ tArticuloActual.Codcolor }} ] - {{ tArticuloActual.Desc_color }}</span></h6>
                <h6 class="text-xs" *ngIf="tArticuloActual.Codarticulo !== ''"><span class="text-secondary font-weight-bold">Factor: </span><span>[ {{ tArticuloActual.Codunidadmedida }} ] - {{ tArticuloActual.Desc_unidad_medida }} | Factor de venta: {{ tArticuloActual.Factor_venta }}</span></h6>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive">
              <table class="table table-sm table-borderless">
                <thead>
                  <tr>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Talla</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Almacen</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Existencia</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Reservado</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Disponible</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Cantidad</small></h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let Inventario of tArticuloActual.LInventario">
                    <th scope="row"><a class="h6" (click)="SeleccionarTalla(Inventario)" [ngClass]="{'text-secondary' : Inventario.Talla == tArticuloInventarioActual.Talla}"><small class="font-weight-bold">{{ Inventario.Talla | talla }}</small></a></th>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Codalmacen }} </small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Existencia}}</small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Reservado}}</small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Disponible}}</small></h6>
                    </td>
                    <td>
                      <input class="form-control form-control-sm" *ngIf="Inventario.Talla === tArticuloInventarioActual.Talla" placeholder="Cantidad" SoloNumeros="number" [(ngModel)]="tPedidoArticuloActual.Cantidad" min="0" (keydown.enter)="AceptarPedido()"/>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row pt-4">
      <div class="col-12 col-lg-4 offset-lg-4">
        <div class="card border-left-primary shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-primary mb-1">Precio</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tArticuloActual | precioCliente: tClienteModal | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-shopping-cart fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-4">
        <div class="card border-left-success shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-success mb-1">Total</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tArticuloActual | totalPedido: tClienteModal : tPedidoArticuloActual.Cantidad | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-shopping-cart fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary btn-icon-split ml-2" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar</span></button>
  <button class="btn btn-secondary btn-icon-split mr-2 ml-2" type="button" (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cerrar</span></button>
  <button class="btn btn-primary btn-icon-split mr-2 ml-2" type="button" (click)="AceptarPedido()"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
</div>
